# Local_Name_Space_T.h File Reference

`#include "ace/Name_Space.h"`
`#include "ace/Naming_Context.h"`
`#include "ace/SString.h"`
`#include "ace/Local_Name_Space.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Local_Name_Space_T.cpp"`

Include dependency graph for Local_Name_Space_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Name_Space_Map< ALLOCATOR >
| This class serves as a Proxy that ensures our process always has the appropriate allocator in place for every operation that accesses or updates the Map Manager. More...
class | ACE_Local_Name_Space<, ACE_LOCK >
| Maintaining accesses Local Name Server Database. Allows to add NameBindings, change them, remove them and resolve NameBindings. More...

## Typedefs

typedef MAP_MANAGER::ENTRY | MAP_ENTRY

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Unbounded_Set< ACE_NS_WString > | ACE_WSTRING_SET
ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Hash_Map_Manager_Ex< ACE_NS_String, ACE_NS_Internal, ACE_Hash< ACE_NS_String >, ACE_Equal_To< ACE_NS_String >, ACE_Null_Mutex > | MAP_MANAGER
ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef MAP_MANAGER::ITERATOR | MAP_ITERATOR

## Detailed Description

Id
  Local_Name_Space_T.h,v 4.39 2005/11/24 09:48:54 ossama Exp

Author:
  Prashant Jain <pjain@cs.wustl.edu>

  Irfan Pyarali <irfan@wuerl.wustl.edu> and

  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Typedef Documentation

typedef MAP_MANAGER::ENTRY MAP_ENTRY

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Unbounded_Set<ACE_NS_WString> ACE_WSTRING_SET

| A short-hand name for our set of name/value/type tuples passed back to callers.

ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef MAP_MANAGER::ITERATOR MAP_ITERATOR

Deprecated:
  Deprecated typedefs. Use the map's traits instead.

ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Hash_Map_Manager_Ex<ACE_NS_String, ACE_NS_Internal, ACE_Hash<ACE_NS_String>, ACE_Equal_To<ACE_NS_String>, ACE_Null_Mutex> MAP_MANAGER